﻿<Window
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:ad="clr-namespace:AvalonDock;assembly=AvalonDock"
        xmlns:local="clr-namespace:GoliatEditor" x:Class="GoliatEditor.MainWindow"
        Title="MainWindow" Height="597.334" Width="809" SizeChanged="Resize" >
    <Window.Resources>
        <Style TargetType="Border" x:Key="MyBorderStyle">
            <Setter Property="BorderThickness" Value="1"/>
            <Setter Property="CornerRadius" Value="1"/>
            <Setter Property="BorderBrush" Value="Gray"></Setter>
        </Style>
    </Window.Resources>
    <Grid x:Name="MainGrid" HorizontalAlignment="Center">

        <Grid.RowDefinitions>
            <RowDefinition Height="24"/>
            <RowDefinition Height="24"/>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
        <Menu>
            <Menu.Background>
                <LinearGradientBrush EndPoint="12,0" StartPoint="0,0.01">
                    <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                    <GradientStop Color="WhiteSmoke" Offset="1"/>
                </LinearGradientBrush>
            </Menu.Background>
            <MenuItem Header="File">
                <MenuItem Header="Save Scene" Click="Scene_Handle"></MenuItem>
                <MenuItem Header="Save Scene As" Click="Scene_Handle"></MenuItem>
                <MenuItem Header="Open Scene" Click="Scene_Handle"></MenuItem>
                
                
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>

            <MenuItem Header="Edit">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
            <MenuItem Header="Assets">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
            <MenuItem Header="GameObject">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
            <MenuItem Header="Component">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
            <MenuItem Header="Windows">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
            <MenuItem Header="Help">
                <MenuItem Header="Create DockableContent"/>
                <MenuItem Header="Create DocumentContent"/>
                <MenuItem Header="Layout">
                    <MenuItem Header="Save" />
                    <MenuItem Header="Restore"/>
                </MenuItem>
                <MenuItem Header="Exit"/>
            </MenuItem>
        </Menu>
        <DockPanel Grid.Row="1">
            <DockPanel.Background>
                <LinearGradientBrush EndPoint="12,0" StartPoint="0,0.01">
                    <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                    <GradientStop Color="WhiteSmoke" Offset="1"/>
                </LinearGradientBrush>
            </DockPanel.Background>
            <DockPanel HorizontalAlignment="Left">
                <Grid HorizontalAlignment="Left">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Button Width="48" Grid.Column="0" Click="RSTMODE_switch">
                        <Image Source="Icons/translate.png"></Image>
                    </Button>
					<Button Width="48" Grid.Column="1" Click="RSTMODE_switch">
                        <Image Source="Icons/rotate.png"></Image>
                    </Button>
					<Button Width="48" Grid.Column="2" Click="RSTMODE_switch">
                        <Image Source="Icons/scale.png"></Image>
                    </Button>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="24"></RowDefinition>
                    </Grid.RowDefinitions>
                </Grid>
            </DockPanel>
            <DockPanel HorizontalAlignment="Center">
                <Grid HorizontalAlignment="Center" Margin="25,0">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Button Width="35" Grid.Column="0" >
                        <TextBlock TextBlock.FontSize="10" VerticalAlignment="Bottom"> local</TextBlock>
                    </Button>
                    <Button Width="35" Grid.Column="1">
                        <TextBlock TextBlock.FontSize="10" VerticalAlignment="Bottom"> global</TextBlock>
                    </Button>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="13"></RowDefinition>
                    </Grid.RowDefinitions>
                </Grid>
            </DockPanel>
            <DockPanel HorizontalAlignment="center">
                <Grid HorizontalAlignment="Center">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Button Width="48" Grid.Column="0">
                        <Image Source="Icons/play.png"></Image>
                    </Button>
                    <Button Width="48" Grid.Column="1">
                        <Image Source="Icons/pause.png"></Image>
                    </Button>
                    <Button Width="48" Grid.Column="2">
                        <Image Source="Icons/framed.png"></Image>
                    </Button>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="24"></RowDefinition>
                    </Grid.RowDefinitions>
                </Grid>
            </DockPanel>
            <Grid HorizontalAlignment="Right">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                    <ColumnDefinition Width="*"></ColumnDefinition>
                </Grid.ColumnDefinitions>
                <ComboBox Width="80" Grid.Column="0" Text="Layers" IsEditable="True"
 IsReadOnly="True">
                    <ComboBox.Background>
                        <LinearGradientBrush EndPoint="1.5,0" StartPoint="0,0.01">
                            <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                            <GradientStop Color="WhiteSmoke" Offset="1"/>
                        </LinearGradientBrush>
                    </ComboBox.Background>
                </ComboBox>
                <ComboBox Width="80" Grid.Column="1" Text="Layout" IsEditable="True"
 IsReadOnly="True">
                    <ComboBox.Background>
                        <LinearGradientBrush EndPoint="1.5,0" StartPoint="0,0.01">
                            <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                            <GradientStop Color="WhiteSmoke" Offset="1"/>
                        </LinearGradientBrush>
                    </ComboBox.Background>
                </ComboBox>
            </Grid>


        </DockPanel>
		<ad:DockingManager x:Name="dockManager" Grid.Row="2">
			<ad:ResizingPanel Orientation="Vertical">
                <ad:ResizingPanel Orientation="Horizontal">


                    <ad:ResizingPanel Orientation="Vertical" ResizeWidth="215">


                        <ad:DocumentPane >
                            <ad:DocumentContent Title="Scene View" Height="20">
                                <WindowsFormsHost x:Name="SceneView1"  Grid.Row="0" Loaded="SceneView_Loaded" AllowDrop="True"></WindowsFormsHost>
                            </ad:DocumentContent>

                        </ad:DocumentPane>
                        <ad:DocumentPane>
                            <ad:DocumentContent Title="Scene View" Height="20">
                                <WindowsFormsHost x:Name="SceneView2"  PreviewQueryContinueDrag="test"  Grid.Row="0" Loaded="SceneView_Loaded" AllowDrop="True"></WindowsFormsHost>
                            </ad:DocumentContent>
                        </ad:DocumentPane>


                    </ad:ResizingPanel>
                    <ad:ResizingPanel Orientation="Horizontal">


                        <ad:DocumentPane ad:ResizingPanel.ResizeWidth="215">
                            <ad:DocumentContent Title="Hierarchy" Height="20">
                                <TreeView Name="HierarchyTree" AllowDrop="True" Loaded="HierarchyTree_Loaded">
                                    <TreeView.Background>
                                        <!--Background-->

                                        <LinearGradientBrush EndPoint="1.5,0" StartPoint="0,0.01">
                                            <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                                            <GradientStop Color="WhiteSmoke" Offset="1"/>
                                        </LinearGradientBrush>
                                    </TreeView.Background>
                                </TreeView>
                            </ad:DocumentContent>
                        </ad:DocumentPane>
                        <ad:DocumentPane SelectionChanged="DocumentPane_SelectionChanged" MinWidth="155">
                            <ad:DocumentContent Title="Assets" Height="20">
                                <ad:ResizingPanel Orientation="Horizontal">

                                    <TreeView x:Name="FolderTree" AllowDrop="True" Grid.Column="0" Loaded="FolderTree_Loaded" SelectedItemChanged="FolderTree_SelectedItemChanged" MinWidth="55">
                                        <TreeView.Background>
                                            <!--Background-->
                                            <LinearGradientBrush EndPoint="1.5,0" StartPoint="0,0.01">
                                                <GradientStop Color="sc#0.777,0.777,0.777,0.755" Offset="0"/>
                                                <GradientStop Color="WhiteSmoke" Offset="1"/>
                                            </LinearGradientBrush>
                                        </TreeView.Background>
                                    </TreeView>
                                    <ScrollViewer AllowDrop="True">
                                        <WrapPanel x:Name="FileList" Grid.Column="1" Loaded="FileList_Loaded" MinWidth="65" >

                                        </WrapPanel>
                                    </ScrollViewer>
                                    <!--ScrollBar HorizontalAlignment="Right" Visibility="Collapsed" Width="0"></-->
                                </ad:ResizingPanel>
                            </ad:DocumentContent>

                        </ad:DocumentPane>
                        <ad:DocumentPane>
                            <ad:DocumentContent Title="Inspector" Height="20">
                                
                                <local:Inspector x:Name="Inspector" />
                            </ad:DocumentContent>
                        </ad:DocumentPane>


                    </ad:ResizingPanel>


                </ad:ResizingPanel>
                <ad:DockablePane ad:ResizingPanel.ResizeHeight="100">
                    <ad:DockableContent Title="Errors" x:Name="errorsContent">
                        <ListView>
                            <ListView.View>
                                <GridView>
                                    <GridViewColumn Header="Error"/>
                                    <GridViewColumn Header="Page"/>
                                    <GridViewColumn Header="File"/>
                                    <GridViewColumn Header="Row"/>
                                </GridView>
                            </ListView.View>
                        </ListView>
                    </ad:DockableContent>
                    <ad:DockableContent Title="Output" x:Name="output">
                        <TextBox IsReadOnly="True" AcceptsReturn="True"/>
                    </ad:DockableContent>
                </ad:DockablePane>
            </ad:ResizingPanel>
        </ad:DockingManager>


    </Grid>
</Window>
